package com.dcsoft.system.car.mapper;

import com.dcsoft.system.car.domain.TbCar;

import java.util.List;

/**
 * 车辆信息Mapper接口
 *
 * @author nichun
 * @date 2023-07-24
 */
public interface TbCarMapper
{
    /**
     * 查询车辆信息
     *
     * @param id 车辆信息主键
     * @return 车辆信息
     */
    public TbCar selectTbCarById(Long id);

    /**
     * 查询车辆信息列表
     *
     * @param tbCar 车辆信息
     * @return 车辆信息集合
     */
    public List<TbCar> selectTbCarList(TbCar tbCar);

    /**
     * 新增车辆信息
     *
     * @param tbCar 车辆信息
     * @return 结果
     */
    public int insertTbCar(TbCar tbCar);

    /**
     * 修改车辆信息
     *
     * @param tbCar 车辆信息
     * @return 结果
     */
    public int updateTbCar(TbCar tbCar);

    /**
     * 删除车辆信息
     *
     * @param id 车辆信息主键
     * @return 结果
     */
    public int deleteTbCarById(Long id);

    /**
     * 批量删除车辆信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbCarByIds(Long[] ids);
}
